Subject: Re: [bug-diffutils] bug#17185: diff --help doesn't mention short forms of some options

From: Jim Meyering <[email-masked]>
Date: Sat, 30 Apr 2016 20:03:13 -0700

tags 17185 notabug
done

On Fri, Apr 4, 2014 at 4:05 AM, Jay Foad <[email-masked]> wrote:
> $ diff --help | egrep "label|unidirectional|speed"
>       --label LABEL             use LABEL instead of file name
>       --unidirectional-new-file   treat absent first files as empty
>       --speed-large-files  assume large files and many scattered small changes
>
> It would be nice if the help text told me that these options have
> short forms -L, -P and -H respectively.

Thanks for noticing, but I have deliberately undocumented those
short-named options because they are slated to be used differently in
a future release: for link-traversal control, as is already done in
many other tools, e.g., find, cp, du:

$ cp --help|grep -e '-[LHP]'
  -H                           follow command-line symbolic links in SOURCE
  -L, --dereference            always follow symbolic links in SOURCE
  -P, --no-dereference         never follow symbolic links in SOURCE